.title{
    position: relative;
    z-index: 1;

    a{
        text-decoration: none;
        color: black;
        background-color: white;
        padding: 10px 15px;
        display: flex;
        align-items: center;
        position: absolute;
        top: 50px;
        left: 30px;
        border-radius: 10px;
        cursor: pointer;
        z-index: 3;
    }
    h1{
        position: absolute;
        top: 200px;
        left: 80px;
        font-size: 5rem;
        font-weight: 600;
        color: white;

    }
}

.container{
    background-color: #fff;
    border-radius: 20px;
    width: 80%;
    margin: -200px auto 100px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    position: relative;
    z-index: 1;
    padding-top: 20px;
    padding-bottom: 20px;

    .fairway{
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 50px;
        padding: 20px;
        background-color: #d9d9d9;
        width: 95%;
        margin: 10px auto 50px;
        border-radius: 20px;

        .left{
            display: flex;
            flex-direction: column;
            gap: 20px;
            img{
                border-radius: 20px;
            }
            img:nth-child(1){
                width: 100%;
            }
        }

        .right{
            display: flex;
            flex-direction: column;
            align-items: center;
            gap: 20px;

            .text{
                color:white;
                margin: 0 auto;
                width: 100%;
                h1{
                    font-weight: 600;
                    font-size: 5rem;
                }
                p{
                    font-size: 1.2rem;
                    font-weight: 500;
                    width: 80%;
                }
            }

            img{
                width: 80%;
                border-radius: 20px;
            }
        }
    }

    .greens{
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 50px;
        padding: 20px;
        background-color: #d9d9d9;
        width: 95%;
        margin: 10px auto 50px;
        border-radius: 20px;

        .left{
            display: flex;
            flex-direction: column;
            gap: 20px;
            img{
                border-radius: 20px;
            }
            img:nth-child(1){
                width: 110%;
            }
            img:nth-child(2){
                width: 110%;
            }
        }

        .right{
            display: flex;
            flex-direction: column;
            gap: 20px;
            margin-left: 20px;
            h1{
                color: white;
                font-size: 5rem;
                font-weight: 600;
            }
            p{
                color: white;
                font-size: 1.2rem;
            }
        }
    }

    .clubhouse{
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 50px;
        padding: 20px;
        background-color: #d9d9d9;
        width: 95%;
        margin: 10px auto 50px;
        border-radius: 20px;

        .left{
            display: flex;
            flex-direction: column;
            gap: 20px;
            img{
                border-radius: 20px;
            }
            img:nth-child(1){
                width: 100%;
            }
        }

        .right{
            display: flex;
            flex-direction: column;
            gap: 20px;
            h1{
                color: white;
                font-size: 5rem;
                font-weight: 600;
            }
            p{
                color: white;
                font-size: 1.2rem;
            } 
        }
    }
}

footer {
  background-color: #000;
  color: white;
  height: 200px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;

  .wrapper-line {
    display: flex;
    flex-direction: column;
    gap: 20px;
    width: 100%;
    margin: 0 auto;
    .line {
      height: 3px;
      width: 90%;
      background-color: white;
      margin: 0 auto;
    }
}
.text{
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 20px;
    gap: 100px;

    a{
        color: white;
        font-size: 1.5rem;
        text-decoration: none;
    }

    p,i{
        margin: 0;
    }
    i{
        font-size: 2rem;
    }

}
}
.background {
  position: absolute;
  top: 100px;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -1;

  .curved{
    display: flex;
    flex-direction: column;
  }
}

.bubbles {
  position: absolute;
  top: 100;
  left: 0;
  width: 100%;
  height: 2850px;
  overflow: hidden;
  z-index: -1;
}

.bubble {
  position: absolute;
  background-color: rgba(0, 0, 0, 0.1);
  border-radius: 50%;
}

.bubble:nth-child(1) {
  left: 5%;
  top: 5%;
  width: 250px;
  height: 250px;
}

.bubble:nth-child(2) {
  left: 40%;
  top: 30%;
  width: 500px;
  height: 500px;
}

.bubble:nth-child(3) {
  left: 80%;
  top: 50%;
  width: 300px;
  height: 300px;
}

.bubble:nth-child(4) {
  left: 40%;
  top: 72%;
  width: 250px;
  height: 250px;
}

.bubble:nth-child(5) {
  left: 87%;
  top: 90%;
  width: 200px;
  height: 200px;
}

/* Media queries untuk tablet */
@media (max-width: 768px) {
    .title h1 {
        font-size: 3rem;
        top: 150px;
        left: 50px;
    }

    .container {
        width: 90%;
        margin: -150px auto 50px;
    }

    .fairway,
    .greens,
    .clubhouse {
        flex-direction: column;
        gap: 20px;
    }

    .fairway .right .text h1,
    .greens .right h1,
    .clubhouse .right h1 {
        font-size: 3rem;
    }

    .fairway .right .text p,
    .greens .right p,
    .clubhouse .right p {
        font-size: 1rem;
    }

    .text {
        flex-direction: column; /* Ubah arah flex menjadi kolom */
        gap: 20px; /* Kurangi jarak antar elemen */
        text-align: center; /* Pusatkan teks */
    }

    .line {
        width: 95%; /* Sesuaikan lebar garis */
    }
}

/* Media queries untuk smartphone */
@media (max-width: 480px) {
    .title h1 {
        font-size: 2rem;
        top: 100px;
        left: 30px;
    }

    .container {
        width: 95%;
        margin: -100px auto 30px;
    }

    .fairway,
    .greens,
    .clubhouse {
        flex-direction: column;
        gap: 15px;
    }

    .fairway .right .text h1,
    .greens .right h1,
    .clubhouse .right h1 {
        font-size: 2rem;
    }

    .fairway .right .text p,
    .greens .right p,
    .clubhouse .right p {
        font-size: 0.9rem;
    }

    .text {
        flex-direction: column; /* Ubah arah flex menjadi kolom */
        gap: 15px; /* Kurangi jarak antar elemen */
        text-align: center; /* Pusatkan teks */
    }

    .line {
        width: 100%; /* Sesuaikan lebar garis */
    }

    .text i {
        font-size: 1.5rem; /* Kurangi ukuran ikon */
    }
}